package com.example.bdkipoc;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;
import androidx.cardview.widget.CardView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        setupMenuListeners();
    }

    private void setupMenuListeners() {
        // Create a map of card IDs to menu names
        int[] cardIds = {
            R.id.card_kartu_kredit,
            R.id.card_kartu_debit,
            R.id.card_qris,
            R.id.card_transfer,
            R.id.card_uang_elektronik,
            R.id.card_cetak_ulang,
            R.id.card_refund,
            R.id.card_settlement,
            R.id.card_histori
        };

        String[] menuNames = {
            "Kartu Kredit",
            "Kartu Debit",
            "QRIS",
            "Transfer",
            "Uang Elektronik",
            "Cetak Ulang",
            "Refund",
            "Settlement",
            "Histori"
        };

        // Set click listeners for all cards
        for (int i = 0; i < cardIds.length; i++) {
            CardView card = findViewById(cardIds[i]);
            final String menuName = menuNames[i];
            card.setOnClickListener(v -> 
                Toast.makeText(this, menuName + " Diklik", Toast.LENGTH_SHORT).show()
            );
        }

        // Set click listener for Lainnya button
        Button btnLainnya = findViewById(R.id.btn_lainnya);
        btnLainnya.setOnClickListener(v -> 
            Toast.makeText(this, "Lainnya Diklik", Toast.LENGTH_SHORT).show()
        );
    }
}